<?xml version="1.0" encoding="UTF-8"?>
<!-- generator="FeedCreator 1.8" -->
<?xml-stylesheet href="https://isnix.de/lib/exe/css.php?s=feed" type="text/css"?>
<rdf:RDF
    xmlns="http://purl.org/rss/1.0/"
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
    xmlns:dc="http://purl.org/dc/elements/1.1/">
    <channel rdf:about="https://isnix.de/feed.php">
        <title>It&#039;s boring when it works! - software:notes</title>
        <description></description>
        <link>https://isnix.de/</link>
        <image rdf:resource="https://isnix.de/lib/exe/fetch.php?media=wiki:dokuwiki.svg" />
       <dc:date>2026-05-25T19:02:02+00:00</dc:date>
        <items>
            <rdf:Seq>
                <rdf:li rdf:resource="https://isnix.de/doku.php?id=software:notes:traintastic_raspberry_build_with_docker&amp;rev=1777070889&amp;do=diff"/>
            </rdf:Seq>
        </items>
    </channel>
    <image rdf:about="https://isnix.de/lib/exe/fetch.php?media=wiki:dokuwiki.svg">
        <title>It's boring when it works!</title>
        <link>https://isnix.de/</link>
        <url>https://isnix.de/lib/exe/fetch.php?media=wiki:dokuwiki.svg</url>
    </image>
    <item rdf:about="https://isnix.de/doku.php?id=software:notes:traintastic_raspberry_build_with_docker&amp;rev=1777070889&amp;do=diff">
        <dc:format>text/html</dc:format>
        <dc:date>2026-04-24T22:48:09+00:00</dc:date>
        <dc:creator>Anonymous (anonymous@undisclosed.example.com)</dc:creator>
        <title>traintastic_raspberry_build_with_docker</title>
        <link>https://isnix.de/doku.php?id=software:notes:traintastic_raspberry_build_with_docker&amp;rev=1777070889&amp;do=diff</link>
        <description>Build Traintastic with QEMU and Docker on a x86_64 machine

Build script


#!/usr/bin/env bash
set -e

DID_START_DOCKER=0

cleanup() {
    if [ &quot;$DID_START_DOCKER&quot; -eq 1 ]; then
        echo &quot;[INFO] Stopping Docker service...&quot;
        sudo systemctl stop docker
    fi
}
trap cleanup EXIT

# --- Docker Status prüfen ---
if ! systemctl is-active --quiet docker; then
    echo &quot;[INFO] Starting Docker service...&quot;
    sudo systemctl start docker
    DID_START_DOCKER=1
else
    echo &quot;[INFO] Docker alre…</description>
    </item>
</rdf:RDF>
